import Vue from "vue";
import Vuex from "vuex";
import tagsView from "./modules/tagsView";
import getters from "./getters";

Vue.use(Vuex);

const store = new Vuex.Store({
    modules: {
        tagsView
    },
    mutations: {
        //异步属性通用变更
        stateCommit(state, { key, data }) {
            state[key] = data;
        },
    },
    getters,
});

export default store;
